<?php

require_once './php/Noticia.php';
require_once './php/DetalleNoticia.php';
header('Content-type: application/json');
$noticia = Noticia::find($_POST["id"]);
$return = array();
if($noticia->fecha_publicacion != null){
    $noticia->fecha_publicacion = null;
    $result = $noticia->save();
    $return["error"]=false;
    $return["fecha_publicacion"]=null;
}else{
    $contador=0;
    $principal = false;
    foreach (new DirectoryIterator('../news/'.$noticia->ruta()) as $fileInfo) {
        if ($fileInfo->isDot()){
            continue;
        }
        $contador++;
        $explode = explode(".", $fileInfo->getFilename());
        if($explode[0]=="principal"){
            $principal = true;
        }
    }
    
    if($contador==0 || !$principal){
        $return["error"]=true;
        $return["mensaje"]="La noticia debe tener una imagen con nombre 'principal.jpg'";
    }else{
        $noticia->fecha_publicacion = date("Y-m-d H:i:s");
        //$noticia->fecha_publicacion = $noticia->fecha_publicacion->format("");
        $result = $noticia->save();
        $return["error"]=false;
        $return["fecha_publicacion"]=$noticia->fecha_publicacion;
    }
}
echo json_encode($return);

